Lowest version a save of this source or image may carry (the proposal of the interface change); writes nothing.
POST
/v1/algorithms/version-suggestionscurl -X POST 'https://api.embodiflow.io/v1/algorithms/version-suggestions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"source": "string",
"requirements": [
"string"
],
"version": "string",
"image": {
"ref": "string",
"entrypoint": [
"string"
]
}
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求体
Content-Typeapplication/json
- sourcestring
- requirementsarray<string>
- versionstring
- imageobject
- refstring必填
- entrypointarray<string>
响应
Success
- dataobject必填
- latestVersionstring | null必填
- unchangedone of必填
- suggestedBumpstring | null必填可选值MAJORMINORPATCH
- suggestedVersionstring | null必填
- changesarray<object>必填
响应示例
{
"data": {
"latestVersion": "string",
"unchanged": false,
"suggestedBump": "MAJOR",
"suggestedVersion": "string",
"changes": [
{
"path": "string",
"bump": "MAJOR",
"message": "string"
}
]
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1